in float vLightIntensity; 
in vec3  vReflectVector;
in vec3  vRefractVector;

uniform float uMix;
uniform samplerCube ReflectUnit;
uniform samplerCube RefractUnit;

const vec4 WHITE = vec4( 1.,1.,1.,1. );

void
main( )
{
	vec4 refractColor = textureCube( RefractUnit, vRefractVector );
	vec4 reflectColor = textureCube( ReflectUnit, vReflectVector );

	refractColor = mix( refractColor, WHITE, 0.40 );
	gl_FragColor = vec4(  mix( refractColor.rgb, reflectColor.rgb, uMix ), 1.  );
}
